"""REIT Schemas"""

from typing import Optional
from pydantic import BaseModel, ConfigDict, Field


class ReitResponse(BaseModel):
    """Registro de Empresas de Industria Terminal"""

    FRACCION: Optional[str] = Field(None, max_length=10)
    ARTICULO: Optional[str] = Field(None, max_length=50)
    FUNDAMENTO: Optional[str] = Field(None, max_length=1500)
    ACUERDO: Optional[str] = Field(None, max_length=500)
    PERMISO: Optional[str] = Field(None, max_length=2)
    DOF: Optional[str] = Field(None, max_length=8)
    DOCUMENTO: Optional[str] = Field(None, max_length=200)
    TEMPORALIDAD: Optional[int] = None
    TEMPORALIDADSERVICIO: Optional[int] = None
    TEMPORALIDADCERTIFICADA: Optional[int] = None
    WEB_DOCUMENTO_ID: Optional[int] = None
    NICO: Optional[str] = Field("", max_length=2)
    SYSID: int

    model_config = ConfigDict(from_attributes=True)
